%define	major 2
%define name portaudio
%define version 19
%define _svn_version 090504
%define libname	%mklibname %{name} %{major}
%define libnamedev %mklibname %{name} %{major} -d
%define release	%mkrel 4
%define thisrelease %{release}
%define snapshot 2009-05-04


Name:		%{name}
Version:	19
Release:	%{_svn_version}.%{thisrelease}
#Not sure this Release syntax is valid pclos spec style, but neccesary here to upgrade
Summary:	Cross platform audio I/O library
Group:		System/Libraries
License:	BSD
URL:		http://www.portaudio.com/
Source0:	portaudio-v.19-snapshot-%{snapshot}.tar.bz2
BuildRequires:	pkgconfig
BuildRequires:	libalsa-devel
BuildRequires:	libjack-devel
Requires:	libjack0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PortAudio is a free, cross platform, open-source, audio I/O 
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh 
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support. 

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are 
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc. 

%package -n	%{libname}
Summary:	Cross platform audio I/O library
Group:          System/Libraries
Obsoletes:	%mklibname %{name}20
#libportaudio20 is from the package Wired


%description -n	%{libname}
PortAudio is a free, cross platform, open-source, audio I/O 
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh 
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support. 

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are 
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc. 

%package -n	%{libnamedev}
Summary:	Static library and header files for the PortAudio library
Group:		Development/C
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname %{name}20 -d
Provides:	libportaudio2-devel

%description -n	%{libnamedev}
PortAudio is a free, cross platform, open-source, audio I/O 
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh 
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support. 

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are 
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc. 

This package contains the static PortAudio library and its header
files.

%prep

%setup -q -n %{name}

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f | xargs perl -p -i -e 's/\r//'

chmod 0755 configure

%build

autoreconf -fi

%configure2_5x \
    --with-alsa \
    --with-jack

%make

#CC="gcc" \
#    CFLAGS="%{optflags} -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE -Ipa_common -Ipablio"

%install
rm -rf %{buildroot}

INSTALL_ROOT=$RPM_BUILD_ROOT %makeinstall_std

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc LICENSE.txt README.txt
%{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/portaudio-*.pc


%changelog
* Thu Sep 26 2013 billybot <billybot> 19-2 090504-3pclos2013
- rebuild

* Fri May 29 2009 MBantz <martin.bantz at gmail dot com> 19-2 090504-3pclos2009
- Update jack support 

* Fri May 29 2009 MBantz <martin.bantz at gmail dot com> 19-2 090504-2pclos2009
- Update 

* Tue May 12 2009 MBantz <martin.bantz at gmail dot com> 19-2 090504-1pclos2007
- Update from snapshot

* Wed Jul 23 2008 don_crissti <don_crissti@gmx.com> 19-1pclos2007
- build for PCLinuxOS
